/* File: eeprom.ld
 *
 * Linker script for Simple Example 2.
 *
 */

OUTPUT_FORMAT("elf32-cy16", "elf32-cy16", "elf32-cy16")
OUTPUT_ARCH(cy16)
ENTRY(_start)

SECTIONS
{
  /* Read-only sections, merged into text segment: */
  . = 0x3FC1;
  .init           : { *(.init) }
  .init           : { KEEP (*(.init)) } =0x0000
    /* .gnu.warning sections are handled specially by elf32.em.  */
  .text           : { *(.text .stub .text.* .gnu.linkonce.t.*) *(.gnu.warning) } =0x0000
  . = ALIGN(2);
  .data           : { *(.data .data.* .gnu.linkonce.d.*) }
  .gcc_except_table   : { *(.gcc_except_table) }
  .rodata         : { *(.rodata .rodata.* .gnu.linkonce.r.*) }
  _edata = .;
  .bss            : { *(.bss .bss.* .gnu.linkonce.b.*) *(COMMON) }
  . = ALIGN(32 / 8);
  _end = .;
  PROVIDE (end = .);
  .comment       0 : { *(.comment) }
  /* DWARF debug sections. */
  /* DWARF 1 */
  .debug          0 : { *(.debug) }
  .line           0 : { *(.line) }
  /* GNU DWARF 1 extensions */
  .debug_srcinfo  0 : { *(.debug_srcinfo) }
  .debug_sfnames  0 : { *(.debug_sfnames) }
  /* DWARF 1.1 and DWARF 2 */
  .debug_aranges  0 : { *(.debug_aranges) }
  .debug_pubnames 0 : { *(.debug_pubnames) }
  /* DWARF 2 */
  .debug_info     0 : { *(.debug_info .gnu.linkonce.wi.*) }
  .debug_abbrev   0 : { *(.debug_abbrev) }
  .debug_line     0 : { *(.debug_line) }
  .debug_frame    0 : { *(.debug_frame) }
  .debug_str      0 : { *(.debug_str) }
  .debug_loc      0 : { *(.debug_loc) }
  .debug_macinfo  0 : { *(.debug_macinfo) }
}

